BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 11-24-2009, 10:51 AM   #1 (permalink)
Thumbs Must Hurt
 
Join Date: May 2008
Model: 8700
PIN: N/A
Carrier: Telcel
Posts: 69
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default another 907 invalid COD thread, sorry

Please Login to Remove!

i'm pretty sure ya had seen an awefull lot of this kind of thread, but i already looked through many of them and none solved my problem.

The thing is, recently i need to format my work desktop cuz it was getting filled up with lots of stuff i try for my projects and couldn't remember what was usefull and what was not, so i made a clean up.

Well, i installed the whole packages and stuff i need for my projects, one of them being a blackberry device program. Recently, i did some upgrades, i'm working with JDE 4.3, cuz the devices used here are several

- 8703e, all of them with SO 4.2.1.119
- 8300 pearl with SO 4.3
- 8350i with SO 4.6

Well, i didnt had any problem developing with 4.3 and releasing the program, all these models would take the program and work with it withouth a problem, until i formated. I recently released an update and there wasn't a problemw with the 8300 and 8350i devices, but with the 8703e ones, they are reporting a "907 invalid COD. Cant import Zip File" error. I though id might had been that i deployed with 4.3 jde, so i deployed with 4.2 jde (which by the way, 4.3 deployed a 89kb cod while 4.2 deployed a 126kb cod) but still, with the deployed cod with 4.2 i got the error.

Any idea why is this?

Gotta note also, before i wiped out my pc, i got installed jde 4.1, 4.2, 4.3 and 4.6. I started working with 4.6, but then the upper lvls decided to use bb 8703e cuz they were cheap and had to downgrade to 4.2, later the fact 8703e weren't being handled anymore they decided to go for 8300 pearl so i moved to 4.3, which worked fine with 8703e and just recently some users decided to move to 8350i which didnt had any problem with the program neither.
Offline  
Old 11-24-2009, 01:01 PM   #2 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2008
Location: Austin, TX
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 1,644
Post Thanks: 0
Thanked 34 Times in 33 Posts
Default

I assume this is deploying OTA?

First off, you cannot deploy an app compiled under 4.3 on a device running a lower version of the OS. Does your 8703 run OS 4.3? (probably not).

Second, you should rename your COD file to the ZIP extension, and see if you can open/extract all of the individual COD files. Once the code or data segments exceed 64K, the compiler will begin generating additional COD files (MyProject-1, MyProject-2, etc) to accomodate the size. The individual COD files should be deployed with your JAD, not the aggragate COD file (which is really just a ZIP file).

Third, you should always delete the COD files and your JAD file prior to doing your clean "production" build. The compiler will often leave unused artifacts in the JAD file that will not get removed unless you allow the file to be recreated.
Offline  
Old 11-24-2009, 01:37 PM   #3 (permalink)
Thumbs Must Hurt
 
Join Date: May 2008
Model: 8700
PIN: N/A
Carrier: Telcel
Posts: 69
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

will try but as i stated

- 8703e run 4.2
- Arelady deployed with JDE 4.2 and the same problem is presented

I'll try doing the clean thing, i though that the "Clean All" option on the JDE did this, but looks like i'll do it manually this time, didnt try it

Edit:

Well, i just tried something. I did the unzip of the files and left them along the with tha jad file and it worked.

Looks like my blackberry was having issues unziping the cod file, i dont know, but its working now.

Just as a not, i deployed on JDE 4.3 and installed on my bb 8703e with Os 4.2 and its working like it used to do. Loos like 4.3 the only thing it does is compress it even more.

Last edited by CJLopez : 11-24-2009 at 02:33 PM.
Offline  
Old 11-24-2009, 03:52 PM   #4 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2008
Location: Austin, TX
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 1,644
Post Thanks: 0
Thanked 34 Times in 33 Posts
Default

Great news.

However, running the 4.3 app on the 4.2 device *may work*, but it is not a supported configuration. I have seen BB's that went into a permanent re-boot loop like this.
Offline  
Old 12-07-2009, 09:16 AM   #5 (permalink)
New Member
 
Join Date: Jun 2008
Model: 8700
PIN: N/A
Carrier: AT&T
Posts: 6
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

As "expert" on this issue (and by "expert" i mean i complained about it for 40min at devcon) this is likely caused by you using the BIS browser or a WAP browser rather than using the BES Browser. the BES browser will handle unzipping cods, where as the BIS and WAP browsers do not. It is good practice to unzip your cods. The easy way to check is if the .jad file has multiple cods in it, then you have a zip.
Offline  
Old 12-07-2009, 10:04 AM   #6 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2008
Location: Austin, TX
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 1,644
Post Thanks: 0
Thanked 34 Times in 33 Posts
Default

Thanks haagmm, but isn't that pretty-much what I said in the earlier post?

Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.